redhat-upgrade-tool fails with DB_VERSION_MISMATCH

Solution Unverified - Updated -

Issue

After running the redhat-upgrade-tool command and rebooting to the upgrade kernel, the update stops with:

upgrade[4299]: error db5 error(-30969) from dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
upgrade[4299]: error could not open Packages database in /sysroot/var/lib/rpm

Environment

Red Hat Enterprise Linux 6
redhat-upgrade-tool

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In